
Infrastructure - Story #640

Enable monitoring of member node services through the MN_health API.

2010-06-08 15:53 - Rob Nahf

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_monitor Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Design, develop, and deploy a plugin executable for one of the monitoring systems (Nagios or Munin), along with an HTTP service

on the MNs to report MN_health information  - the MN_health API.   Work out security requirements regarding method of transport,

and logical grouping of information.

History

#1 - 2010-06-08 16:08 - Rob Nahf

From the epad:

Story: points: 8 (Roger + Rob) Enable nagios  monitoring of MN services through the MN_health API. (Basically replace  nrpe  functionality with the

MN_health API.  This might require running  nrpe  on another machine and have nrpe plugin that calls the MN_health  API and  responds to nagios

with appropriately formatted messages.)

#2 - 2010-06-23 21:13 - Redmine Admin

Updated status, related task in progress

#3 - 2010-10-06 05:35 - Matthew Jones

- Target version deleted (CCI.Prototype.Evaluation)

- Position set to 1

- Position changed from 1 to 3

#4 - 2010-10-06 17:51 - Rob Nahf

- Status changed from New to Closed

lost the related tasks when reverting to trac.  There's another story that can be a better envelope for new tasks.  (The original tasks were complete to

the best of my knowledge)
